| OptFEM2D Toolbox for Matlab V1.2b1 Matlab/Octave Optimized P1-Lagrange Finite Element Method in 2D

- Main Page
- Related Pages
- Files

- File List
- File Members

All Files Functions Pages
Functions
StiffElasAssemblingP1base.m File Reference

Assembly of the Stiffness Elasticity Matrix by -Lagrange finite elements using basic version (see report). More...

Go to the source code of this file.

## Functions
function K = | StiffElasAssemblingP1base (nq, nme, q, me, areas, lambda, mu, Num)
| Assembly of the Stiffness Elasticity Matrix by -Lagrange finite elements using basic version (see report).

## Detailed Description

Assembly of the Stiffness Elasticity Matrix by -Lagrange finite elements using basic version (see report).

Definition in file StiffElasAssemblingP1base.m.

## Function Documentation

function K = StiffElasAssemblingP1base | ( |  | nq,
|  |  | nme,
|  |  | q,
|  |  | me,
|  |  | areas,
|  |  | lambda,
|  |  | mu,
|  |  | Num
| ) |  |

Assembly of the Stiffness Elasticity Matrix by -Lagrange finite elements using basic version (see report).

The Stiffness Elasticity Matrix is given by

where are vectors field -Lagrange basis functions. Here and are the elastic stress and strain tensors respectively.

Example

          Th=SquareMesh(10);
          KK=StiffElasAssemblingP1base(Th.nq,Th.nme,Th.q,Th.me,Th.areas,lambda,mu,Num);

See Also
  SquareMesh

OptFEM2DP1 [V1.2b1] - Copyright (C) 2013 CJS (LAGA)

This file is part of OptFEM2DP1. OptFEM2DP1 is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

OptFEM2DP1 is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program. If not, see http://www.gnu.org/licenses/.

Parameters

  nq | total number of nodes in the mesh, also denoted by .
  nme | total number of triangles, also denoted by .
  q | Array of vertices coordinates, array. is the -th coordinate of the -th vertex, and
  me | Connectivity array, array. is the storage index of the -th vertex of the -th triangle in the array , and .
  areas | Array of areas, array. areas(k) is the area of the -th triangle.
  lambda | the first Lame coefficient in Hooke's law
  mu | the second Lame coefficient in Hooke's law
  Num | 0 global alternate numbering with local alternate numbering (classical method), 1 global block numbering with local alternate numbering, 2 global alternate numbering with local block numbering, 3 global block numbering with local block numbering.

Return values

  K | stiffness elasticity sparse matrix

Definition at line 17 of file StiffElasAssemblingP1base.m.